Bug 1564143 - SELinux is preventing mkdir from using the 'dac_override' capabilities.
Summary: SELinux is preventing mkdir from using the 'dac_override' capabilities.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0b149c13bef7433a9d0ca9a315c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 13:14 UTC by Leslie Satenstein
Modified: 2018-04-19 22:07 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.1-21.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-19 22:07:45 UTC
Type: ---


Attachments (Terms of Use)

Description Leslie Satenstein 2018-04-05 13:14:35 UTC
Description of problem:
I am an end user, escaping from Gnome 3.28 to KDE.  
SELinux is preventing mkdir from using the 'dac_override' capabilities.

*****  Plugin dac_override (91.4 confidence) suggests   **********************

If you want to help identify if domain needs this access or you have a file with the wrong permissions on your system
Then turn on full auditing to get path information about the offending file and generate the error again.
Do

Turn on full auditing
# auditctl -w /etc/shadow -p w
Try to recreate AVC. Then execute
# ausearch -m avc -ts recent
If you see PATH record check ownership/permissions on file, and fix it,
otherwise report as a bugzilla.

*****  Plugin catchall (9.59 confidence) suggests   **************************

If you believe that mkdir should have the dac_override capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'mkdir' --raw | audit2allow -M my-mkdir
# semodule -X 300 -i my-mkdir.pp

Additional Information:
Source Context                system_u:system_r:fsdaemon_t:s0
Target Context                system_u:system_r:fsdaemon_t:s0
Target Objects                Unknown [ capability ]
Source                        mkdir
Source Path                   mkdir
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.1-19.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.16.0-0.rc7.git0.1.fc28.x86_64 #1
                              SMP Mon Mar 26 15:01:02 UTC 2018 x86_64 x86_64
Alert Count                   2
First Seen                    2018-04-05 09:06:36 EDT
Last Seen                     2018-04-05 09:06:36 EDT
Local ID                      476fc02e-4f98-41fb-8173-6a0c7ed5ad8c

Raw Audit Messages
type=AVC msg=audit(1522933596.742:104): avc:  denied  { dac_override } for  pid=762 comm="mkdir" capability=1  scontext=system_u:system_r:fsdaemon_t:s0 tcontext=system_u:system_r:fsdaemon_t:s0 tclass=capability permissive=0


Hash: mkdir,fsdaemon_t,fsdaemon_t,capability,dac_override

Version-Release number of selected component:
selinux-policy-3.14.1-19.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.4
hashmarkername: setroubleshoot
kernel:         4.16.0-0.rc7.git0.1.fc28.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-04-16 11:35:21 UTC
selinux-policy-3.14.1-21.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1148ada2a3

Comment 2 Fedora Update System 2018-04-17 03:04:18 UTC
selinux-policy-3.14.1-21.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1148ada2a3

Comment 3 Fedora Update System 2018-04-19 22:07:45 UTC
selinux-policy-3.14.1-21.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.